Package org.apache.sling.feature.maven.mojos

# Class Aggregate

java.lang.Object
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig
org.apache.sling.feature.maven.mojos.Aggregate

public class Aggregate extends FeatureSelectionConfig

## Field Summary

Fields
Modifier and Type
Field
Description
`List<File>`
`additionalFeatureFiles`
Additional feature files to include in the aggregation, resolved at goal time rather than through the session-start Preprocessor scan.
`List<String>`
`artifactsOverrides`
`boolean`
`attach`
If this is set to `false` the feature is not added to the project artifacts.
`String`
`classifier`
This is the classifier for the new feature.
`List<String>`
`configurationOverrides`
`String`
`description`
Optional description for the feature
`Map<String,String>`
`frameworkPropertiesOverrides`
`boolean`
`markAsComplete`
If this is set to `true` the feature is marked as complete.
`boolean`
`markAsFinal`
If this is set to `true` the feature is marked as final.
`boolean`
`osgiBsnCollisionDetection`
When `true`, the aggregated feature is checked for OSGi bundles with duplicate `Bundle-SymbolicName` values and the build fails unless an `artifactsOverrides` rule resolves the collision.
`String`
`title`
Optional title for the feature
`Map<String,String>`
`variablesOverrides`
`String`
`vendor`
Optional vendor for the feature

## Constructor Summary

Constructors
Constructor
Description
`Aggregate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<org.apache.sling.feature.ArtifactId>`
`getArtifactOverrideRules()`
`Map<String,String>`
`getConfigurationOverrideRules()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

`getFilesExcludes, getSelections, setFilesExclude, setFilesInclude, setIncludeArtifact, setIncludeClassifier, setRefsInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### classifier

public String classifier
This is the classifier for the new feature. If not specified the feature is the main artifact for the project.

### attach

public boolean attach
If this is set to `false` the feature is not added to the project artifacts.

### markAsFinal

public boolean markAsFinal
If this is set to `true` the feature is marked as final.

### markAsComplete

public boolean markAsComplete
If this is set to `true` the feature is marked as complete.

### title

public String title
Optional title for the feature

### description

public String description
Optional description for the feature

### vendor

public String vendor
Optional vendor for the feature

### artifactsOverrides

public List<String> artifactsOverrides

### configurationOverrides

public List<String> configurationOverrides

### variablesOverrides

public Map<String,String> variablesOverrides

### frameworkPropertiesOverrides

public Map<String,String> frameworkPropertiesOverrides

### osgiBsnCollisionDetection

public boolean osgiBsnCollisionDetection
When `true`, the aggregated feature is checked for OSGi bundles with duplicate `Bundle-SymbolicName` values and the build fails unless an `artifactsOverrides` rule resolves the collision. Requires `org.apache.sling.feature` 2.0.6 or later.

### additionalFeatureFiles

public List<File> additionalFeatureFiles
Additional feature files to include in the aggregation, resolved at goal time rather than through the session-start Preprocessor scan. Use this to pull in feature JSONs that are produced by another plugin earlier in the same build (e.g. cpconverter output under `target/`) which therefore do not exist when the lifecycle participant runs.

## Constructor Details

### Aggregate

public Aggregate()

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `FeatureSelectionConfig`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `FeatureSelectionConfig`

### toString

public String toString()

Overrides:
  `toString` in class `FeatureSelectionConfig`

### getArtifactOverrideRules

public List<org.apache.sling.feature.ArtifactId> getArtifactOverrideRules()

### getConfigurationOverrideRules

public Map<String,String> getConfigurationOverrideRules()